#### Description:

Each Region (of any class) can have an `"` uncertainty`"` which specifies the uncertainties associated with the boundary of the Region. This information is supplied in the form of a second Region. The uncertainty in any point on the boundary of a Region is found by shifting the associated `"` uncertainty`"` Region so that it is centred at the boundary point being considered. The area covered by the shifted uncertainty Region then represents the uncertainty in the boundary position. The uncertainty is assumed to be the same for all points.

The uncertainty is usually specified when the Region is created, but this function allows it to be changed at any time.

#### Synopsis

void astSetUnc( AstRegion ∗this, AstRegion ∗unc )

#### Parameters:

##### this

Pointer to the Region which is to be assigned a new uncertainty.

##### unc

Pointer to the new uncertainty Region. This must be of a class for which all instances are centro-symetric (e.g. Box, Circle, Ellipse, etc.) or be a Prism containing centro-symetric component Regions. A deep copy of the supplied Region will be taken, so subsequent changes to the uncertainty Region using the supplied pointer will have no effect on the Region `"` this`"` .
Copyright (C) 2021 East Asian Observatory